''' <summary>
''' Custom EventArgs object to return data
''' about which property was changed on an
''' object.
''' </summary>
Public Class PropertyChangedEventArgs
  Inherits EventArgs

  Private mProperty As String

  ''' <summary>
  ''' Name of the property that changed.
  ''' </summary>
  Public ReadOnly Property [Property]() As String
    Get
      Return mProperty
    End Get
  End Property

  ''' <summary>
  ''' Creates a new instance of the object.
  ''' </summary>
  ''' <param name="property">Name of the property that changed.</param>
  Public Sub New(ByVal [property] As String)
    mProperty = [property]
  End Sub

End Class
